Bug 1700501 - [RFE] Configure MALLOC_ARENA_MAX=2 as default for dynflow
Summary: [RFE] Configure MALLOC_ARENA_MAX=2 as default for dynflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Devendra Singh
URL:
Whiteboard:
Depends On: 1692535
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2019-04-16 18:38 UTC by sthirugn@redhat.com
Modified: 2020-06-12 09:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26631 Normal Closed Configure MALLOC_ARENA_MAX for dynflow 2020-08-28 03:45:38 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:22 UTC

Description sthirugn@redhat.com 2019-04-16 18:38:21 UTC
Description of problem:
Configure MALLOC_ARENA_MAX for dynflow

Version-Release number of selected component (if applicable):
SAtellite 6.5

How reproducible:
Always

Steps to Reproduce:
It has been found in internal testing that configuring MALLOC_ARENA_MAX improves the performance of dynflow executors.

To apply:
** 6.4 edit /etc/sysconfig/dynflowd and append MALLOC_ARENA_MAX=2

** 6.3 edit /etc/sysconfig/foreman-tasks and append MALLOC_ARENA_MAX=2

** foreman-maintain service restart

Actual results:
Internal testing showed a significant improvement in memory utilization of dynflow executors.

Expected results:
Set this as a default configured option in Satellite installer.

Additional info:

Comment 3 Mike McCune 2019-04-16 20:24:32 UTC
Created redmine issue https://projects.theforeman.org/issues/26630 from this bug

Comment 4 Ewoud Kohl van Wijngaarden 2019-04-18 13:45:12 UTC
The upstream Redmine issue only solves it in packaging. To solve it in the installer we have https://bugzilla.redhat.com/show_bug.cgi?id=1692535. Since this BZ is aimed at the installer, I'm marking this BZ as a duplicate.

*** This bug has been marked as a duplicate of bug 1692535 ***

Comment 5 sthirugn@redhat.com 2019-04-18 20:34:29 UTC
This bug is specifically written to ship Satellite with a default MALLOC_ARENA_MAX for dynflow.  The other bug https://bugzilla.redhat.com/show_bug.cgi?id=1692535 is for managing /etc/sysconfig/dynflowd using installer/custom-hiera.

I propose to keep this bug open so it can be tested specifically before shipping.

Comment 6 Ewoud Kohl van Wijngaarden 2019-04-26 07:52:55 UTC
I'm not sure we'd need that. Packaging has config files with %noreplace so if the user made any modifications then it won't be applied. The installer is the way to go IMHO. On the other hand, it is good to have minimal differences between packaged configs and installer defaults so I wouldn't object to it.

Comment 7 sthirugn@redhat.com 2019-07-18 14:54:01 UTC
I don't think we need any configuration for MALLOC_ARENA_MAX at this time, just set this to 2 as a default in Satellite installer. We don't expect users to change this for any reason.

Comment 9 sthirugn@redhat.com 2019-07-18 14:56:26 UTC
This configuration brings in enormous memory benefits to the customers, consider this a high priority request.

Comment 10 Mike McCune 2019-12-20 16:44:42 UTC
this landed in : https://projects.theforeman.org/issues/26631

Comment 11 Devendra Singh 2020-02-03 09:00:18 UTC
Verified this bug on freshly installed(6.7 Snap10) and upgraded setup(6.6.z to 6.7 Snap10).

The default value of MALLOC_ARENA_MAX is 2 on both setups.

# cat /etc/sysconfig/dynflowd
....
MALLOC_ARENA_MAX=2
....

Comment 14 errata-xmlrpc 2020-04-14 13:24:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.